### Score

#### Methods

void startCmd()
void endCmd(bool rollback = false)
void updateRepeatList(bool expandRepeats)
Ms::Segment firstSegment(Segment::Type s = Segment::Type::All)
void doLayout()
QString metaTag(const QString& s)
void setMetaTag(const QString& tag, const QString& val)
void appendPart(const QString&)
void appendMeasures(int)
void addText(const QString&, const QString&)
Ms::Cursor newCursor()
void cropPage(qreal margins)

#### Properties

firstMeasure | Ms::Measure | the first measure of the score (read only)
firstMeasureMM | Ms::Measure | the first multi-measure rest measure of the score (read only)
lastMeasure | Ms::Measure | the last measure of the score (read only)
lastMeasureMM | Ms::Measure | the last multi-measure rest measure of the score (read only)
lastSegment | Ms::Segment | the last score segment (read-only)
name | QString | name of the score
npages | int | number of pages (read only)
nstaves | int | number of staves (read only)
ntracks | int | number of tracks (staves * 4) (read only)
nmeasures | int | number of measures (read only)
parts | array[Ms::Part] | the list of parts (read only)
title | QString | title of the score (read only)
subtitle | QString | subtitle of the score (read only)
composer | QString | composer of the score (read only)
poet | QString | poet of the score (read only)
hasLyrics | bool | score has lyrics (read only)
hasHarmonies | bool | score has chord symbols (read only)
keysig | int | key signature at the start of the score (read only)
duration | int | duration of score in seconds (read only)
excerpts | array[Ms::Excerpt] | the list of the excerpts (linked parts)